/*Diseñar el algoritmo correspondiente a un programa que calcule el área lateral y 
el volumen de un cilindro recto, introduciendo por teclado los valores del radio y 
de la altura.*/


#include<stdio.h>
#include<conio.h>

#define PI 3.1416

void main(void)
{	
	float h,r,*punt1,*punt2,V,AL;
	
	clrscr();
	
	punt1=&r;
	punt2=&h;
	
	printf("Teclee el radio del cilindro: ");
	scanf("%f",punt1);
	printf("Teclee el volumen del cilindro: ");
	scanf("%f",punt2);
	
	V=*punt2*PI*((*punt1)*(*punt1));
	AL=2*PI*(*punt1)*(*punt2);
	
	printf("El  rea lateral es %f, y el Volumen es %f",AL,V);
	getch();
}